Install the LLVM headers on a non-tools build.

What isn't here:

- llvm/WindowsManifest/*
- llvm/WindowsResource/*
- llvm/FuzzMutate/*
(Do we want those?)

- llvm/Config/llvm-config.h, a generated file actually used in gallivm
XXX todo

Index: external/bsd/llvm/include/Makefile
===================================================================
RCS file: /cvsroot/src/external/bsd/llvm/include/Makefile,v
retrieving revision 1.43
diff -u -r1.43 Makefile
--- external/bsd/llvm/include/Makefile	17 Jul 2018 18:55:27 -0000	1.43
+++ external/bsd/llvm/include/Makefile	26 Dec 2018 06:27:01 -0000
@@ -4,7 +4,6 @@
 
 .PATH:	${CLANG_SRCDIR}/lib/Headers
 
-
 .if ${MACHINE_ARCH} == "i386" || ${MACHINE_ARCH} == "x86_64"
 INCS=	adxintrin.h \
 	ammintrin.h \
@@ -246,6 +245,8 @@
 
 .ifndef HOST_BUILD
 
+SUBDIR+=	llvm llvm-c
+
 DPSRCS+=	llvm/Config/config.h llvm/Config/llvm-config.h
 CLEANFILES+=	llvm/Config/config.h llvm/Config/llvm-config.h
 
@@ -298,4 +299,5 @@
 
 depend dependall all: ${DPSRCS}
 
+.include <bsd.subdir.mk>
 .include <bsd.prog.mk>
Index: external/bsd/llvm/include/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/Makefile.inc
diff -N external/bsd/llvm/include/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Makefile
diff -N external/bsd/llvm/include/llvm/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,46 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+SUBDIR+=	ADT
+SUBDIR+=	Analysis
+SUBDIR+=	AsmParser
+SUBDIR+=	BinaryFormat
+SUBDIR+=	Bitcode
+SUBDIR+=	CodeGen
+SUBDIR+=	Config
+SUBDIR+=	DebugInfo
+SUBDIR+=	Demangle
+SUBDIR+=	ExecutionEngine
+SUBDIR+=	IR
+SUBDIR+=	IRReader
+SUBDIR+=	LTO
+SUBDIR+=	LineEditor
+SUBDIR+=	Linker
+SUBDIR+=	MC
+SUBDIR+=	Object
+SUBDIR+=	ObjectYAML
+SUBDIR+=	Option
+SUBDIR+=	Passes
+SUBDIR+=	ProfileData
+SUBDIR+=	Support
+SUBDIR+=	TableGen
+SUBDIR+=	Target
+SUBDIR+=	Transforms
+SUBDIR+=	XRay
+
+.PATH:	${LLVM_SRCDIR}/include/llvm
+
+INCS=	InitializePasses.h \
+	LinkAllIR.h \
+	LinkAllPasses.h \
+	Pass.h \
+	PassAnalysisSupport.h \
+	PassInfo.h \
+	PassRegistry.h \
+	PassSupport.h
+
+INCSDIR=	/usr/include/llvm
+
+.include <bsd.subdir.mk>
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/ADT/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/ADT/Makefile
diff -N external/bsd/llvm/include/llvm/ADT/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/ADT/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,11 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/ADT
+
+INCS=		
+
+INCSDIR=	/usr/include/llvm/ADT
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/ADT/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/ADT/Makefile.inc
diff -N external/bsd/llvm/include/llvm/ADT/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/ADT/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Analysis/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Analysis/Makefile
diff -N external/bsd/llvm/include/llvm/Analysis/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Analysis/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,104 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Analysis
+
+INCS=	AliasAnalysis.h \
+	AliasAnalysisEvaluator.h \
+	AliasSetTracker.h \
+	AssumptionCache.h \
+	BasicAliasAnalysis.h \
+	BlockFrequencyInfo.h \
+	BlockFrequencyInfoImpl.h \
+	BranchProbabilityInfo.h \
+	CFG.h \
+	CFGPrinter.h \
+	CFLAliasAnalysisUtils.h \
+	CFLAndersAliasAnalysis.h \
+	CFLSteensAliasAnalysis.h \
+	CGSCCPassManager.h \
+	CallGraph.h \
+	CallGraphSCCPass.h \
+	CallPrinter.h \
+	CaptureTracking.h \
+	CmpInstAnalysis.h \
+	CodeMetrics.h \
+	ConstantFolding.h \
+	DOTGraphTraitsPass.h \
+	DemandedBits.h \
+	DependenceAnalysis.h \
+	DivergenceAnalysis.h \
+	DomPrinter.h \
+	DominanceFrontier.h \
+	DominanceFrontierImpl.h \
+	EHPersonalities.h \
+	GlobalsModRef.h \
+	IVUsers.h \
+	IndirectCallPromotionAnalysis.h \
+	IndirectCallSiteVisitor.h \
+	InlineCost.h \
+	InstructionSimplify.h \
+	Interval.h \
+	IntervalIterator.h \
+	IntervalPartition.h \
+	IteratedDominanceFrontier.h \
+	LazyBlockFrequencyInfo.h \
+	LazyBranchProbabilityInfo.h \
+	LazyCallGraph.h \
+	LazyValueInfo.h \
+	Lint.h \
+	Loads.h \
+	LoopAccessAnalysis.h \
+	LoopAnalysisManager.h \
+	LoopInfo.h \
+	LoopInfoImpl.h \
+	LoopIterator.h \
+	LoopPass.h \
+	LoopUnrollAnalyzer.h \
+	MemoryBuiltins.h \
+	MemoryDependenceAnalysis.h \
+	MemoryLocation.h \
+	MemorySSA.h \
+	MemorySSAUpdater.h \
+	ModuleSummaryAnalysis.h \
+	MustExecute.h \
+	ObjCARCAliasAnalysis.h \
+	ObjCARCAnalysisUtils.h \
+	ObjCARCInstKind.h \
+	OptimizationRemarkEmitter.h \
+	OrderedBasicBlock.h \
+	PHITransAddr.h \
+	Passes.h \
+	PhiValues.h \
+	PostDominators.h \
+	ProfileSummaryInfo.h \
+	PtrUseVisitor.h \
+	RegionInfo.h \
+	RegionInfoImpl.h \
+	RegionIterator.h \
+	RegionPass.h \
+	RegionPrinter.h \
+	ScalarEvolution.h \
+	ScalarEvolutionAliasAnalysis.h \
+	ScalarEvolutionExpander.h \
+	ScalarEvolutionExpressions.h \
+	ScalarEvolutionNormalization.h \
+	ScopedNoAliasAA.h \
+	SparsePropagation.h \
+	SyntheticCountsUtils.h \
+	TargetFolder.h \
+	TargetLibraryInfo.h \
+	TargetTransformInfo.h \
+	TargetTransformInfoImpl.h \
+	Trace.h \
+	TypeBasedAliasAnalysis.h \
+	TypeMetadataUtils.h \
+	ValueLattice.h \
+	ValueLatticeUtils.h \
+	ValueTracking.h \
+	VectorUtils.h
+
+INCSDIR=	/usr/include/llvm/Analysis
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Analysis/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Analysis/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Analysis/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Analysis/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/AsmParser/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/AsmParser/Makefile
diff -N external/bsd/llvm/include/llvm/AsmParser/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/AsmParser/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/AsmParser
+
+INCS=		Parser.h SlotMapping.h
+INCSDIR=	/usr/include/llvm/AsmParser
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/AsmParser/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/AsmParser/Makefile.inc
diff -N external/bsd/llvm/include/llvm/AsmParser/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/AsmParser/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/BinaryFormat/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/BinaryFormat/Makefile
diff -N external/bsd/llvm/include/llvm/BinaryFormat/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/BinaryFormat/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/BinaryFormat
+
+INCS=		COFF.h Dwarf.h ELF.h MachO.h Magic.h Wasm.h
+INCSDIR=	/usr/include/llvm/BinaryFormat
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/BinaryFormat/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/BinaryFormat/Makefile.inc
diff -N external/bsd/llvm/include/llvm/BinaryFormat/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/BinaryFormat/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Bitcode/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Bitcode/Makefile
diff -N external/bsd/llvm/include/llvm/Bitcode/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Bitcode/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,12 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Bitcode
+
+INCS=	BitCodes.h BitcodeReader.h BitcodeWriter.h BitcodeWriterPass.h \
+	BitstreamReader.h BitstreamWriter.h LLVMBitCodes.h
+
+INCSDIR=	/usr/include/llvm/Bitcode
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Bitcode/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Bitcode/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Bitcode/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Bitcode/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/CodeGen/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/CodeGen/Makefile
diff -N external/bsd/llvm/include/llvm/CodeGen/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/CodeGen/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,129 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/CodeGen
+
+INCS=	\
+	AccelTable.h \
+	Analysis.h \
+	AsmPrinter.h \
+	AtomicExpandUtils.h \
+	BasicTTIImpl.h \
+	CalcSpillWeights.h \
+	CallingConvLower.h \
+	CostTable.h \
+	DAGCombine.h \
+	DFAPacketizer.h \
+	DIE.h \
+	DwarfStringPoolEntry.h \
+	EdgeBundles.h \
+	ExecutionDomainFix.h \
+	ExpandReductions.h \
+	FastISel.h \
+	FaultMaps.h \
+	FunctionLoweringInfo.h \
+	GCMetadata.h \
+	GCMetadataPrinter.h \
+	GCStrategy.h \
+	GCs.h \
+	ISDOpcodes.h \
+	IntrinsicLowering.h \
+	LatencyPriorityQueue.h \
+	LazyMachineBlockFrequencyInfo.h \
+	LexicalScopes.h \
+	LinkAllAsmWriterComponents.h \
+	LinkAllCodegenComponents.h \
+	LiveInterval.h \
+	LiveIntervalUnion.h \
+	LiveIntervals.h \
+	LivePhysRegs.h \
+	LiveRangeEdit.h \
+	LiveRegMatrix.h \
+	LiveRegUnits.h \
+	LiveStacks.h \
+	LiveVariables.h \
+	LoopTraversal.h \
+	LowLevelType.h \
+	MIRPrinter.h \
+	MIRYamlMapping.h \
+	MachORelocation.h \
+	MachineBasicBlock.h \
+	MachineBlockFrequencyInfo.h \
+	MachineBranchProbabilityInfo.h \
+	MachineCombinerPattern.h \
+	MachineConstantPool.h \
+	MachineDominanceFrontier.h \
+	MachineDominators.h \
+	MachineFrameInfo.h \
+	MachineFunction.h \
+	MachineFunctionPass.h \
+	MachineInstr.h \
+	MachineInstrBuilder.h \
+	MachineInstrBundle.h \
+	MachineInstrBundleIterator.h \
+	MachineJumpTableInfo.h \
+	MachineLoopInfo.h \
+	MachineMemOperand.h \
+	MachineModuleInfo.h \
+	MachineModuleInfoImpls.h \
+	MachineOperand.h \
+	MachineOptimizationRemarkEmitter.h \
+	MachineOutliner.h \
+	MachinePassRegistry.h \
+	MachinePostDominators.h \
+	MachineRegionInfo.h \
+	MachineRegisterInfo.h \
+	MachineSSAUpdater.h \
+	MachineScheduler.h \
+	MachineTraceMetrics.h \
+	MacroFusion.h \
+	PBQPRAConstraint.h \
+	ParallelCG.h \
+	Passes.h \
+	PreISelIntrinsicLowering.h \
+	PseudoSourceValue.h \
+	ReachingDefAnalysis.h \
+	RegAllocPBQP.h \
+	RegAllocRegistry.h \
+	RegisterClassInfo.h \
+	RegisterPressure.h \
+	RegisterScavenging.h \
+	RegisterUsageInfo.h \
+	ResourcePriorityQueue.h \
+	RuntimeLibcalls.h \
+	ScheduleDAG.h \
+	ScheduleDAGInstrs.h \
+	ScheduleDAGMutation.h \
+	ScheduleDFS.h \
+	ScheduleHazardRecognizer.h \
+	SchedulerRegistry.h \
+	ScoreboardHazardRecognizer.h \
+	SelectionDAG.h \
+	SelectionDAGAddressAnalysis.h \
+	SelectionDAGISel.h \
+	SelectionDAGNodes.h \
+	SelectionDAGTargetInfo.h \
+	SlotIndexes.h \
+	StackMaps.h \
+	StackProtector.h \
+	TailDuplicator.h \
+	TargetCallingConv.h \
+	TargetFrameLowering.h \
+	TargetInstrInfo.h \
+	TargetLowering.h \
+	TargetLoweringObjectFileImpl.h \
+	TargetOpcodes.h \
+	TargetPassConfig.h \
+	TargetRegisterInfo.h \
+	TargetSchedule.h \
+	TargetSubtargetInfo.h \
+	UnreachableBlockElim.h \
+	ValueTypes.h \
+	VirtRegMap.h \
+	WasmEHFuncInfo.h \
+	WinEHFuncInfo.h
+
+INCSDIR=	/usr/include/llvm/CodeGen
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/CodeGen/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/CodeGen/Makefile.inc
diff -N external/bsd/llvm/include/llvm/CodeGen/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/CodeGen/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Config/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Config/Makefile
diff -N external/bsd/llvm/include/llvm/Config/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Config/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,11 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Config
+
+INCS=		
+
+INCSDIR=	/usr/include/llvm/Config
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Config/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Config/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Config/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Config/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/DebugInfo/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/DebugInfo/Makefile
diff -N external/bsd/llvm/include/llvm/DebugInfo/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/DebugInfo/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/DebugInfo
+
+INCS=		DIContext.h
+INCSDIR=	/usr/include/llvm/DebugInfo
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/DebugInfo/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/DebugInfo/Makefile.inc
diff -N external/bsd/llvm/include/llvm/DebugInfo/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/DebugInfo/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Demangle/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Demangle/Makefile
diff -N external/bsd/llvm/include/llvm/Demangle/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Demangle/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Demangle
+
+INCS=		Demangle.h
+INCSDIR=	/usr/include/llvm/Demangle
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Demangle/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Demangle/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Demangle/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Demangle/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/ExecutionEngine/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/ExecutionEngine/Makefile
diff -N external/bsd/llvm/include/llvm/ExecutionEngine/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/ExecutionEngine/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,23 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/ExecutionEngine
+
+INCS=	ExecutionEngine.h \
+	GenericValue.h \
+	Interpreter.h \
+	JITEventListener.h \
+	JITSymbol.h \
+	MCJIT.h \
+	OProfileWrapper.h \
+	ObjectCache.h \
+	OrcMCJITReplacement.h \
+	RTDyldMemoryManager.h \
+	RuntimeDyld.h \
+	RuntimeDyldChecker.h \
+	SectionMemoryManager.h
+
+INCSDIR=	/usr/include/llvm/ExecutionEngine
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/ExecutionEngine/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/ExecutionEngine/Makefile.inc
diff -N external/bsd/llvm/include/llvm/ExecutionEngine/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/ExecutionEngine/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/IR/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/IR/Makefile
diff -N external/bsd/llvm/include/llvm/IR/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/IR/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,89 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/IR
+
+INCS=	Argument.h \
+	AssemblyAnnotationWriter.h \
+	Attributes.h \
+	AutoUpgrade.h \
+	BasicBlock.h \
+	CFG.h \
+	CallSite.h \
+	CallingConv.h \
+	Comdat.h \
+	Constant.h \
+	ConstantFolder.h \
+	ConstantRange.h \
+	Constants.h \
+	DIBuilder.h \
+	DataLayout.h \
+	DebugInfo.h \
+	DebugInfoMetadata.h \
+	DebugLoc.h \
+	DerivedTypes.h \
+	DerivedUser.h \
+	DiagnosticHandler.h \
+	DiagnosticInfo.h \
+	DiagnosticPrinter.h \
+	DomTreeUpdater.h \
+	Dominators.h \
+	Function.h \
+	GVMaterializer.h \
+	GetElementPtrTypeIterator.h \
+	GlobalAlias.h \
+	GlobalIFunc.h \
+	GlobalIndirectSymbol.h \
+	GlobalObject.h \
+	GlobalValue.h \
+	GlobalVariable.h \
+	IRBuilder.h \
+	IRPrintingPasses.h \
+	InlineAsm.h \
+	InstIterator.h \
+	InstVisitor.h \
+	InstrTypes.h \
+	Instruction.h \
+	Instructions.h \
+	IntrinsicInst.h \
+	Intrinsics.h \
+	LLVMContext.h \
+	LegacyPassManager.h \
+	LegacyPassManagers.h \
+	LegacyPassNameParser.h \
+	MDBuilder.h \
+	Mangler.h \
+	Metadata.h \
+	Module.h \
+	ModuleSlotTracker.h \
+	ModuleSummaryIndex.h \
+	ModuleSummaryIndexYAML.h \
+	NoFolder.h \
+	OperandTraits.h \
+	Operator.h \
+	OptBisect.h \
+	PassManager.h \
+	PassManagerInternal.h \
+	PatternMatch.h \
+	PredIteratorCache.h \
+	ProfileSummary.h \
+	SafepointIRVerifier.h \
+	Statepoint.h \
+	SymbolTableListTraits.h \
+	TrackingMDRef.h \
+	Type.h \
+	TypeBuilder.h \
+	TypeFinder.h \
+	Use.h \
+	UseListOrder.h \
+	User.h \
+	Value.h \
+	ValueHandle.h \
+	ValueMap.h \
+	ValueSymbolTable.h \
+	Verifier.h
+
+INCSDIR=	/usr/include/llvm/IR
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/IR/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/IR/Makefile.inc
diff -N external/bsd/llvm/include/llvm/IR/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/IR/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/IRReader/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/IRReader/Makefile
diff -N external/bsd/llvm/include/llvm/IRReader/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/IRReader/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/IRReader
+
+INCS=		IRReader.h
+INCSDIR=	/usr/include/llvm/IRReader
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/IRReader/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/IRReader/Makefile.inc
diff -N external/bsd/llvm/include/llvm/IRReader/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/IRReader/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/LTO/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/LTO/Makefile
diff -N external/bsd/llvm/include/llvm/LTO/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/LTO/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/LTO
+
+INCS=		Caching.h Config.h LTO.h LTOBackend.h
+INCSDIR=	/usr/include/llvm/LTO
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/LTO/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/LTO/Makefile.inc
diff -N external/bsd/llvm/include/llvm/LTO/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/LTO/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/LineEditor/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/LineEditor/Makefile
diff -N external/bsd/llvm/include/llvm/LineEditor/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/LineEditor/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/LineEditor
+
+INCS=		LineEditor.h
+INCSDIR=	/usr/include/llvm/LineEditor
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/LineEditor/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/LineEditor/Makefile.inc
diff -N external/bsd/llvm/include/llvm/LineEditor/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/LineEditor/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Linker/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Linker/Makefile
diff -N external/bsd/llvm/include/llvm/Linker/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Linker/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Linker
+
+INCS=		IRMover.h Linker.h
+INCSDIR=	/usr/include/llvm/Linker
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Linker/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Linker/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Linker/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Linker/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/MC/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/MC/Makefile
diff -N external/bsd/llvm/include/llvm/MC/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/MC/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,73 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/MC
+
+INCS=	ConstantPools.h \
+	LaneBitmask.h \
+	MCAsmBackend.h \
+	MCAsmInfo.h \
+	MCAsmInfoCOFF.h \
+	MCAsmInfoDarwin.h \
+	MCAsmInfoELF.h \
+	MCAsmInfoWasm.h \
+	MCAsmLayout.h \
+	MCAsmMacro.h \
+	MCAssembler.h \
+	MCCodeEmitter.h \
+	MCCodePadder.h \
+	MCCodeView.h \
+	MCContext.h \
+	MCDirectives.h \
+	MCDwarf.h \
+	MCELFObjectWriter.h \
+	MCELFStreamer.h \
+	MCExpr.h \
+	MCFixedLenDisassembler.h \
+	MCFixup.h \
+	MCFixupKindInfo.h \
+	MCFragment.h \
+	MCInst.h \
+	MCInstBuilder.h \
+	MCInstPrinter.h \
+	MCInstrAnalysis.h \
+	MCInstrDesc.h \
+	MCInstrInfo.h \
+	MCInstrItineraries.h \
+	MCLabel.h \
+	MCLinkerOptimizationHint.h \
+	MCMachObjectWriter.h \
+	MCObjectFileInfo.h \
+	MCObjectStreamer.h \
+	MCObjectWriter.h \
+	MCRegisterInfo.h \
+	MCSchedule.h \
+	MCSection.h \
+	MCSectionCOFF.h \
+	MCSectionELF.h \
+	MCSectionMachO.h \
+	MCSectionWasm.h \
+	MCStreamer.h \
+	MCSubtargetInfo.h \
+	MCSymbol.h \
+	MCSymbolCOFF.h \
+	MCSymbolELF.h \
+	MCSymbolMachO.h \
+	MCSymbolWasm.h \
+	MCTargetOptions.h \
+	MCValue.h \
+	MCWasmObjectWriter.h \
+	MCWasmStreamer.h \
+	MCWin64EH.h \
+	MCWinCOFFObjectWriter.h \
+	MCWinCOFFStreamer.h \
+	MCWinEH.h \
+	MachineLocation.h \
+	SectionKind.h \
+	StringTableBuilder.h \
+	SubtargetFeature.h
+
+INCSDIR=	/usr/include/llvm/MC
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/MC/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/MC/Makefile.inc
diff -N external/bsd/llvm/include/llvm/MC/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/MC/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Object/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Object/Makefile
diff -N external/bsd/llvm/include/llvm/Object/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Object/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,35 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Object
+
+INCS=	Archive.h \
+	ArchiveWriter.h \
+	Binary.h \
+	COFF.h \
+	COFFImportFile.h \
+	COFFModuleDefinition.h \
+	CVDebugRecord.h \
+	Decompressor.h \
+	ELF.h \
+	ELFObjectFile.h \
+	ELFTypes.h \
+	Error.h \
+	IRObjectFile.h \
+	IRSymtab.h \
+	MachO.h \
+	MachOUniversal.h \
+	ModuleSymbolTable.h \
+	ObjectFile.h \
+	RelocVisitor.h \
+	StackMapParser.h \
+	SymbolSize.h \
+	SymbolicFile.h \
+	Wasm.h \
+	WasmTraits.h \
+	WindowsResource.h
+
+INCSDIR=	/usr/include/llvm/Object
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/Object/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/Object/Makefile.inc
diff -N external/bsd/llvm/include/llvm/Object/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Object/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/ObjectYAML/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/ObjectYAML/Makefile
diff -N external/bsd/llvm/include/llvm/ObjectYAML/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/ObjectYAML/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,22 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/ObjectYAML
+
+INCS=	COFFYAML.h \
+	CodeViewYAMLDebugSections.h \
+	CodeViewYAMLSymbols.h \
+	CodeViewYAMLTypeHashing.h \
+	CodeViewYAMLTypes.h \
+	DWARFEmitter.h \
+	DWARFYAML.h \
+	ELFYAML.h \
+	MachOYAML.h \
+	ObjectYAML.h \
+	WasmYAML.h \
+	YAML.h
+
+INCSDIR=	/usr/include/llvm/ObjectYAML
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm/ObjectYAML/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm/ObjectYAML/Makefile.inc
diff -N external/bsd/llvm/include/llvm/ObjectYAML/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/ObjectYAML/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm/Option/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm/Option/Makefile
diff -N external/bsd/llvm/include/llvm/Option/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm/Option/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Option
+
+INCS=		Arg.h ArgList.h OptSpecifier.h OptTable.h Option.h
+INCSDIR=	/usr/include/llvm/Option
+
+.include <bsd.prog.mk>
